Subject: Re: RFE: "git bisect reverse"

From: "H. Peter Anvin" <[email-masked]>
Date: Tue, 26 May 2009 21:20:10 -0700

Sam Vilain wrote:
> 
> Oh, yes.  And another thing: 'git bisect run' / 'git bisect skip'
> doesn't do a very good job of skipping around broken commits (ie when
> the script returns 126).  It just seems to move to the next one; it
> would be much better IMHO to first try the commit 1/3rd of the way into
> the range, then if that fails, the commit 2/3rd of the way through it, etc.
> 

I posted about that last year:

http://marc.info/?l=git&i=[email-masked]

At the time, git bisect was still done in the shell and it was deemed
too difficult.

	-hpa

-- 
H. Peter Anvin, Intel Open Source Technology Center
I work for Intel.  I don't speak on their behalf.